# Uses of Class
java.awt.image.IndexColorModel

Packages that use IndexColorModel
Package
Description
java.awt.image
Provides classes for creating and modifying images.

## Uses of IndexColorModel in java.awt.image

Methods in java.awt.image that return IndexColorModel
Modifier and Type
Method
Description
`IndexColorModel`
RGBImageFilter.`filterIndexColorModel(IndexColorModel icm)`
Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide.
Methods in java.awt.image with parameters of type IndexColorModel
Modifier and Type
Method
Description
`IndexColorModel`
RGBImageFilter.`filterIndexColorModel(IndexColorModel icm)`
Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide.
Constructors in java.awt.image with parameters of type IndexColorModel
Modifier
Constructor
Description
``
`BufferedImage(int width, int height, int imageType, IndexColorModel cm)`
Constructs a `BufferedImage` of one of the predefined image types: TYPE_BYTE_BINARY or TYPE_BYTE_INDEXED.